[![made-with-python](https://img.shields.io/badge/Made%20with-Python-1f425f.svg)](https://www.python.org/)
[![codecov](https://codecov.io/gh/The-Pyoneers/cs107-FinalProject/branch/master/graph/badge.svg?token=39UVNMQOKM)](undefined)
[![Build Status](https://travis-ci.com/The-Pyoneers/cs107-FinalProject.svg?token=Z9452YnmcP3jWAp8j3PV&branch=master)](https://travis-ci.com/The-Pyoneers/cs107-FinalProject)
[![CodeFactor](https://www.codefactor.io/repository/github/the-pyoneers/cs107-finalproject/badge?s=77ef071f20ab3df40d005769dc667aad2a60495e)](https://www.codefactor.io/repository/github/the-pyoneers/cs107-finalproject)
[![MIT license](https://img.shields.io/badge/License-MIT-blue.svg)](https://lbesson.mit-license.org/)
[![Documentation Status](https://readthedocs.org/projects/farad/badge/?version=latest)](https://farad.readthedocs.io/en/latest/?badge=latest)

# CS107 Final Project - Group #34

This repository contains related to project group #34's final project for CS107/AC207.

## Group Members

|      **Name**        |       **Email Address**       |
| -------------------- | ----------------------------- |
| Matthew Stewart      | matthew_stewart@g.harvard.edu |
| Xiaolan Ke           | xiaolan_ke@g.harvard.edu      |
| ChunChao Tseng       | cht039@g.harvard.edu          |
| Zeyuan Hu            | zeyuan_hu@fas.harvard.edu     |

## Documentation

The documentation for this package can be found [here](https://farad.readthedocs.io/en/latest/index.html#).


## Broader Impact and Inclusivity Statement

#### Inclusivity

Science as a discipline exists without prejudice or favoritism. Its universal goal is to uncover the truth about the physical world, be it through discovery or ingenuity. Researchers from disparate fields as well as widely varying socioeconomic, cultural backgrounds, and ability are united by solely one thing: potential. Open-source software is no exception. Contributors are united in the pursuit for progress to tackle existing challenges facing humanity and enhancing already-existing solutions. The core developers of Farad share in this worldview and are committed to ensuring that every individual, regardless of background, is able to contribute to improve our existing code base. To help foster inclusivity, contributors should be respectful of other developers regardless of their identity, and understanding towards those still in the process of learning about diverse perspectives and identities. Differences of opinion may arise and should be resolved amicably, exercising an unwavering commitment to respect, tolerance, and restraint. Pull requests will be reviewed blindly by a a minimum of two core developers to help mitigate unconscious bias. To make the package more accessible, documentation should be written in a way that is understandable to non-native English speakers. When language confusion arises, consideration should be made for assuming good intent of the speaker. Ideas and feedback for fostering an increasingly inclusive developer ecosystem are encouraged. All are welcome.

#### Broader Impact 

Automatic differentiation is applicable to almost every discipline of science and engineering. Consequently, the development of an automatic differentiation library can have far-reaching implications, from the solving of differential equations in thermodynamics, electromagnetism, and fluid mechanics, to the creation of neural networks for classifying images or interpreting text data. Stemming from these applications, real-world consequences arise which can have implications for individual privacy, safety, and well-being. To promote a more ethical and socially desirable innovation process, contributors are encouraged to point out any potential consequences of decisions and discuss these seriously in a transparent and interactive manner. In general, updates should not adversely impact or deter any disadvantaged groups and should aim to increase the speed at which results are obtained.
